<?php
namespace Pinpoint\Conesso\Console\Command\Orders;

use Pinpoint\Conesso\Model\Api\Management\Process\ProcessFactory;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

/**
 * Class Migrate Orders Command
 */
class MigrateOrdersCommand extends Command
{
    /**
     * @param ProcessFactory $processFactory
     */
    public function __construct(
        private readonly ProcessFactory $processFactory
    )
    {
        parent::__construct();
    }

    /**
     * @inheritDoc
     */
    protected function configure(): void
    {
        $this->setName('conesso:migrate:orders');
        $this->setDescription('Truncate all existing rows of conesso order table and populate table with new entry.');
        parent::configure();
    }

    /**
     * Execute the command
     *
     * @param InputInterface $input
     * @param OutputInterface $output
     * @return int
     */
    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        $this->processFactory->getProcess('order')->migrateData();
        $output->writeln('<info>Success Message.</info>');
        return 0;
    }
}
