<?php
namespace Pinpoint\Conesso\Model\Api\Management\Process;

use Magento\Framework\ObjectManagerInterface;
use Pinpoint\Conesso\Api\Management\ProcessDataInterface;

class ProcessFactory
{
    /**
     * @var ObjectManagerInterface
     */
    private $objectManager;

    private $processObj;

    /**
     * @param ObjectManagerInterface $objectManager
     */
    public function __construct(
        ObjectManagerInterface $objectManager
    ) {
        $this->objectManager = $objectManager;
    }

    public function getProcess($type) : ProcessDataInterface
    {
        switch ($type) {
            case 'customer' :
                $this->processObj = $this->objectManager->create(Customer::class);
                break;
            case 'product' :
                $this->processObj = $this->objectManager->create(Products::class);
                break;
            case 'order' :
                $this->processObj = $this->objectManager->create(Order::class);
                break;
            case 'cart' :
                $this->processObj = $this->objectManager->create(Cart::class);
                break;
        }
        return $this->processObj;
    }
}
