<?php
namespace Pinpoint\Conesso\Model;

use Magento\Framework\Model\AbstractModel;
use Pinpoint\Conesso\Api\Data\CartSyncInterface;
use Pinpoint\Conesso\Model\ResourceModel\SyncOrders as SyncOrdersResourceModel;
class SyncCarts extends AbstractModel implements CartSyncInterface
{
    /**
     * Cache tag
     */
    const CACHE_TAG = CartSyncInterface::SCHEMA;

    protected function _construct(): void
    {
        $this->_init(SyncOrdersResourceModel::class);
    }

    public function getId() : ?int
    {
        return $this->getData(CartSyncInterface::ID);
    }

    public function setId($id)
    {
        return $this->setData(CartSyncInterface::ID, $id);
    }

    public function getCartId() : ?int
    {
        return $this->getData(CartSyncInterface::CART_ID);

    }

    public function setCartId($orderId)
    {
        return $this->setData(CartSyncInterface::CART_ID, $orderId);
    }

    public function getIncrementId() : ?int
    {
        return $this->getData(CartSyncInterface::INCREMENT_ID);
    }

    public function setIncrementId($incrementId)
    {
        return $this->setData(CartSyncInterface::CART_ID, $incrementId);
    }

    public function getEventType() : ?string
    {
        return $this->getData(CartSyncInterface::EVENT_TYPE);
    }

    public function setEventType($eventType)
    {
        return $this->setData(CartSyncInterface::EVENT_TYPE, $eventType);
    }

    public function getStoreId() : int
    {
        return $this->getData(CartSyncInterface::STORE_ID);
    }

    public function setStoreId($storeId)
    {
        return $this->setData(CartSyncInterface::STORE_ID, $storeId);
    }

    public function getCreatedAt()
    {
        return $this->getData(CartSyncInterface::CREATED_AT);
    }

    public function setCreatedAt($createdAt)
    {
        return $this->setData(CartSyncInterface::CREATED_AT, $createdAt);
    }

    public function getUpdatedAt()
    {
        return $this->getData(CartSyncInterface::UPDATED_AT);
    }

    public function setUpdatedAt($updatedAt)
    {
        return $this->setData(CartSyncInterface::UPDATED_AT, $updatedAt);
    }

    public function getIsSynced() : int
    {
        return $this->getData(CartSyncInterface::IS_SYNCED);
    }

    public function setIsSynced($isSynced)
    {
        return $this->setData(CartSyncInterface::IS_SYNCED, $isSynced);
    }

}
