<?php
namespace Pinpoint\Conesso\Observer\Order;

use Exception;
use Magento\Framework\Event\Observer;
use Magento\Framework\Event\ObserverInterface;
use Pinpoint\Conesso\Api\Data\OrderSyncInterface;
use Pinpoint\Conesso\Model\Api\Management\Log\Orders\LogOrderInterface;

class Cancel implements ObserverInterface
{
    /**
     * @var LogOrderInterface
     */
    private LogOrderInterface $logOrder;

    /**
     * @param LogOrderInterface $logOrder
     */
    public function __construct(
        LogOrderInterface $logOrder
    )
    {
        $this->logOrder = $logOrder;
    }

    /**
     * @param Observer $observer
     * @return void
     */
    public function execute(Observer $observer): void
    {
        try {
            $order = $observer->getEvent()->getOrder();
            $this->logOrder->logOrder($order,OrderSyncInterface::EVENT_TYPE_CANCELLED);
        } catch (Exception $e) {

        }
    }
}
