<?php
namespace Pinpoint\Conesso\Plugin\Customer;

use Exception;
use Magento\Customer\Api\CustomerRepositoryInterface;
use Magento\Customer\Model\ResourceModel\CustomerRepository;
use Pinpoint\Conesso\Api\Data\ContactSyncInterface;
use Pinpoint\Conesso\Model\Api\Management\Log\Customer\LogCustomerInterface;
use Psr\Log\LoggerInterface;

class CustomerDeleteBefore
{
    private $logCustomer;

    private $logger;

    private $customerRepository;

    public function __construct(
        LogCustomerInterface $logCustomer,
        LoggerInterface $logger,
        CustomerRepositoryInterface $customerRepository
    ) {
        $this->logCustomer = $logCustomer;
        $this->logger = $logger;
        $this->customerRepository = $customerRepository;
    }
    public function aroundDeleteById(
        CustomerRepository $subject,
        \Closure $proceed,
        $customerId
    ) {
        try {
            if ($customerId) {
                $this->logCustomer->logCustomer(
                    $this->getCustomer($customerId),
                    ContactSyncInterface::EVENT_TYPE_DELETE
                );
            }
        } catch(Exception $e) {
            $this->logger->info(__($e->getMessage()));
        }
        $result = $proceed($customerId);
        return $result;
    }

    private function getCustomer($customerId)
    {
        return $this->customerRepository->getById($customerId);
    }
}
